<?php
/**
 * The template for displaying the footer.
 *
 * @package EV Häs, LLC
 * @author E-intersol Marketing Solutions
 * @link https://www.eintersol.com
 */

// footer classes

$footer_options = mfn_opts_get('footer-options');
$footer_classes = [];

if( ! empty( $footer_options['full-width'] ) ){
	$footer_classes[] = 'full-width';
}

$footer_classes = implode( ' ', $footer_classes );

// back_to_top classes

$back_to_top_class = mfn_opts_get('back-top-top');

if ($back_to_top_class == 'hide') {
	$back_to_top_position = false;
} elseif (strpos($back_to_top_class, 'sticky') !== false) {
	$back_to_top_position = 'body';
} elseif (mfn_opts_get('footer-hide') == 1) {
	$back_to_top_position = 'footer';
} else {
	$back_to_top_position = 'copyright';
}
?>

<?php do_action('mfn_hook_content_after'); ?>

<?php if ('hide' != mfn_opts_get('footer-style')): ?>

	<footer id="Footer" class="clearfix <?php echo $footer_classes; ?>">

		<?php if ($footer_call_to_action = mfn_opts_get('footer-call-to-action')): ?>
		<div class="footer_action">
			<div class="container">
				<div class="column one column_column">
					<?php echo do_shortcode($footer_call_to_action); ?>
				</div>
			</div>
		</div>
		<?php endif; ?>

		<?php
			$sidebars_count = 0;
			for ($i = 1; $i <= 5; $i++) {
				if (is_active_sidebar('footer-area-'. $i)) {
					$sidebars_count++;
				}
			}

			if ($sidebars_count > 0) {

				$align = mfn_opts_get('footer-align');

				echo '<div class="widgets_wrapper '. $align .'">';
					echo '<div class="container">';

						if ($footer_layout = mfn_opts_get('footer-layout')) {

							// Theme Options

							$footer_layout 	= explode(';', $footer_layout);
							$footer_cols = $footer_layout[0];

							for ($i = 1; $i <= $footer_cols; $i++) {
								if (is_active_sidebar('footer-area-'. $i)) {
									echo '<div class="column '. esc_attr($footer_layout[$i]) .'">';
										dynamic_sidebar('footer-area-'. $i);
									echo '</div>';
								}
							}

						} else {

							// default with equal width

							$sidebar_class = '';
							switch ($sidebars_count) {
								case 2: $sidebar_class = 'one-second'; break;
								case 3: $sidebar_class = 'one-third'; break;
								case 4: $sidebar_class = 'one-fourth'; break;
								case 5: $sidebar_class = 'one-fifth'; break;
								default: $sidebar_class = 'one';
							}

							for ($i = 1; $i <= 5; $i++) {
								if (is_active_sidebar('footer-area-'. $i)) {
									echo '<div class="column '. esc_attr($sidebar_class) .'">';
										dynamic_sidebar('footer-area-'. $i);
									echo '</div>';
								}
							}

						}

					echo '</div>';
				echo '</div>';
			}
		?>
        
        <div class="footer_badges">
            <div class="container">   
            <div class="column one-sixth">&nbsp;</div>
              <div class="column one-sixth"><script src="https://www.avvo.com/assets/badges-v2.js" type="text/javascript"></script>
                <div class="avvo_badge" data-type="rating" data-version="1" data-target="https://www.avvo.com/professional_badges/4241807" data-specialty="115">
                  <div class="avvo_content"><a href="https://www.avvo.com/attorneys/60661-il-mahmoudfaisal-elkhatib-4241807.html?utm_campaign=avvo_rating&amp;utm_content=4241807&amp;utm_medium=avvo_badge&amp;utm_source=avvo" target="_blank" rel="me">Lawyer Mahmoud Faisal Elkhatib</a> | <a href="https://www.avvo.com/foreclosure-lawyer/il/chicago.html?utm_campaign=avvo_rating&amp;utm_content=4241807&amp;utm_medium=avvo_badge&amp;utm_source=avvo" target="_blank">Featured Attorney Foreclosure</a></div>
                </div>
              </div>
              <div class="column one-sixth">
                <div class="avvo_badge" data-type="reviews" data-target="https://www.avvo.com/professional_badges/4241807" data-specialty="115">
                  <div class="avvo_content"><a href="https://www.avvo.com/attorneys/60661-il-mahmoudfaisal-elkhatib-4241807.html?utm_campaign=avvo_review_badge&amp;utm_content=4241807&amp;utm_medium=avvo_badge&amp;utm_source=avvo" target="_blank" rel="me">Lawyer Mahmoud Faisal Elkhatib</a> | <a href="https://www.avvo.com/foreclosure-lawyer/il/chicago.html?utm_campaign=avvo_review_badge&amp;utm_content=4241807&amp;utm_medium=avvo_badge&amp;utm_source=avvo" target="_blank">Lawyer Foreclosure</a></div>
                </div>
              </div>
              <div class="column one-sixth">
                <div class="avvo_badge" data-type="rating" data-version="2" data-target="https://www.avvo.com/professional_badges/4241807" data-specialty="115">
                  <div class="avvo_content"><a href="https://www.avvo.com/attorneys/60661-il-mahmoudfaisal-elkhatib-4241807.html?utm_campaign=avvo_rating&amp;utm_content=4241807&amp;utm_medium=avvo_badge&amp;utm_source=avvo" target="_blank" rel="me">Lawyer Mahmoud Faisal Elkhatib</a> | <a href="https://www.avvo.com/foreclosure-lawyer/il/chicago.html?utm_campaign=avvo_rating&amp;utm_content=4241807&amp;utm_medium=avvo_badge&amp;utm_source=avvo" target="_blank">Featured Attorney Foreclosure</a></div>
                </div>
              </div>
              <div class="column one-sixth"><!-- begin super lawyers badge -->
         <a id="super_lawyers_badge" href="https://www.superlawyers.com/redir?r=https://www.superlawyers.com/illinois/lawyer/M-Faisal-Elkhatib/ba86e003-5790-4a3e-a2de-231662c6aab2.html&amp;c=basic_largeorange_badge&amp;i=ba86e003-5790-4a3e-a2de-231662c6aab2" alt="View the profile of Illinois Business Litigation Attorney M. Faisal Elkhatib" title="View the profile of Illinois Business Litigation Attorney M. Faisal Elkhatib">M. Faisal Elkhatib</a>
                <!-- end super lawyers badge --></div>
                <div class="column one-sixth">&nbsp;</div>
            </div>
          </div>

		<?php if (mfn_opts_get('footer-hide') != 1): ?>

			<div class="footer_copy">
				<div class="container">
                    <div class="service-area"><b>We service the following counties:</b><br>Cook, DeKalb, Dupage, Kane, Kendall, Lake, McHenry and Will County</div>
					<div class="column one">

						<?php
							if ($back_to_top_position == 'copyright') {
								echo '<a id="back_to_top" class="footer_button" href=""><i class="icon-up-open-big"></i></a>';
							}
						?>

						<div class="copyright">
							<?php
								if (mfn_opts_get('footer-copy')) {
									echo do_shortcode(mfn_opts_get('footer-copy'));
								} else {
									echo '&copy; '. date( 'Y' ) .' <b>'. get_bloginfo( 'name' ) .'</b>. All Rights Reserved. <a href="'.get_site_url().'"><b>Home</b></a> | <a href="'.get_site_url().'/disclaimers/"><b>Disclaimers</b></a>  | <a href="'.get_site_url().'/policy/"><b>Policy</b></a>  | <a href="'.get_site_url().'/site-map/"><b>Site Map</b></a>. Designed by <a target="_blank" rel="nofollow" href="https://www.eintersol.com/">Eintersol</a>';
								}
							?>
						</div>

						<?php
							if (has_nav_menu('social-menu-bottom')) {
								mfn_wp_social_menu_bottom();
							} else {
								get_template_part('includes/include', 'social');
							}
						?>

					</div>
				</div>
			</div>

		<?php endif; ?>

		<?php
			if ($back_to_top_position == 'footer') {
				echo '<a id="back_to_top" class="footer_button in_footer" href=""><i class="icon-up-open-big"></i></a>';
			}
		?>

	</footer>
<?php endif; ?>

</div>

<?php
	// side slide menu
	if (mfn_opts_get('responsive-mobile-menu')) {
		get_template_part('includes/header', 'side-slide');
	}
?>

<?php
	if ($back_to_top_position == 'body') {
		echo '<a id="back_to_top" class="footer_button '. esc_attr($back_to_top_class) .'" href=""><i class="icon-up-open-big"></i></a>';
	}
?>

<?php if (mfn_opts_get('popup-contact-form')): ?>
	<div id="popup_contact">
		<a class="footer_button" href="#"><i class="<?php echo esc_attr(mfn_opts_get('popup-contact-form-icon', 'icon-mail-line')); ?>"></i></a>
		<div class="popup_contact_wrapper">
			<?php echo do_shortcode(mfn_opts_get('popup-contact-form')); ?>
			<span class="arrow"></span>
		</div>
	</div>
<?php endif; ?>

<?php do_action('mfn_hook_bottom'); ?>

<?php wp_footer(); ?>

</body>
</html>
