<?php
if( ! defined( 'ABSPATH' ) ){
	exit; // Exit if accessed directly
}
?>

<?php
	global $wpdb;

	$data 	= array(
		'wp_uploads' 			=> wp_get_upload_dir(),
		'memory_limit' 			=> wp_convert_hr_to_bytes( @ini_get( 'memory_limit' ) ),
		'time_limit' 			=> ini_get( 'max_execution_time' ),
		'max_input_vars' 		=> ini_get( 'max_input_vars' ),
		
		'server'				=> $_SERVER[ 'SERVER_SOFTWARE' ],
		'php'					=> phpversion(),
		'mysql'					=> $wpdb->db_version(),
		'memory_limit' 			=> wp_convert_hr_to_bytes( @ini_get( 'memory_limit' ) ),
		'time_limit' 			=> ini_get( 'max_execution_time' ),
		'max_input_vars' 		=> ini_get( 'max_input_vars' ),
		'max_upload_size'		=> size_format( wp_max_upload_size() ),

		'home'					=> get_option( 'home' ),
		'siteurl'				=> get_option( 'siteurl' ),
		'wp_version'			=> get_bloginfo( 'version' ),
		'language'				=> get_locale(),
		'rtl'					=> is_rtl() ? 'RTL' : 'LTR',
	);

	$status = array(
		'version' 				=> $this->version > 0,
		'uploads'				=> wp_is_writable( $data['wp_uploads']['basedir'] ),
		'fs'					=> ( Mfn_Helper::filesystem() || WP_Filesystem() ) ? true : false,
		'zip'					=> class_exists( 'ZipArchive' ),
		'suhosin'				=> extension_loaded( 'suhosin' ),
		'memory_limit'			=> $data['memory_limit'] >= 268435456,
		'time_limit'			=> ( ( $data['time_limit'] >= 180 ) || ( $data['time_limit'] == 0 ) ) ? true : false,
		'max_input_vars'		=> $data['max_input_vars'] >= 5000,
		
		
		'php'					=> version_compare( PHP_VERSION, '7.0' ) >= 0,
		'suhosin'				=> extension_loaded( 'suhosin' ),
		'memory_limit'			=> $data['memory_limit'] >= 268435456,
		'time_limit'			=> ( ( $data['time_limit'] >= 180 ) || ( $data['time_limit'] == 0 ) ),
		'max_input_vars'		=> $data['max_input_vars'] >= 5000,
		'curl'					=> extension_loaded( 'curl' ),
		'dom'					=> class_exists( 'DOMDocument' ),

		'siteurl'				=> false,
		'wp_version'			=> version_compare( get_bloginfo( 'version' ), '4.9' ) >= 0,
		'multisite'				=> is_multisite(),
		'debug'					=> defined( 'WP_DEBUG' ) && WP_DEBUG,
	);
	
	$parse = array(
			'home' 		=> parse_url( $data['home'] ),
			'siteurl' => parse_url( $data['siteurl'] ),
		);

		if( isset( $parse['home']['host'] ) && isset( $parse['siteurl']['host'] ) ){
			if( $parse['home']['host'] == $parse['siteurl']['host'] ){
				$status['siteurl'] = true;
			}
		} elseif( isset( $parse['home']['path'] ) && isset( $parse['siteurl']['path'] ) ){
			if( $parse['home']['path'] == $parse['siteurl']['path'] ){
				$status['siteurl'] = true;
			}
		}

		$this->data		= $data;
		$this->status = $status;

?>


<div class="dashboard-tab status">

		<div class="col col-left">

			<h3 class="primary"><?php esc_html_e( 'Server Environment', 'mfn-opts' ); ?></h3>

			<ul class="system-status">
            
            <li>
			<span class="label"><?php esc_html_e( 'API server connection', 'mfn-opts' ) ?></span>
			<?php if( $status['version'] ): ?>
				<span class="status yes dashicons dashicons-yes"></span>
				<span class="desc"><a class="button button-secondary" href="admin.php?page=creative&forcecheck"><?php esc_html_e( 'check again', 'mfn-opts' ) ?></a></span>
			<?php else: ?>
				<span class="status no dashicons dashicons-no"></span>
				<span class="desc"><a class="button button-secondary" href="admin.php?page=creative&forcecheck"><?php esc_html_e( 'check again', 'mfn-opts' ) ?></a></span>
				<p class="status-notice status-error">Your server is blocking connection to API server <b>api.muffingroup.com</b><br />Please contact your hosting provider.<br /><a target="_blank" href="admin.php?page=creative&forcecheck&be-debug">Debug informations</a></p>
			<?php endif; ?>
		</li>

		<li>
			<span class="label"><?php esc_html_e( 'Uploads folder writable', 'mfn-opts' ) ?></span>
			<?php if( $status['uploads'] ): ?>
				<span class="status yes dashicons dashicons-yes"></span>
			<?php else: ?>
				<span class="status no dashicons dashicons-no"></span>
				<p class="status-notice status-error">Uploads folder must be writable. Please set write permission to your wp-content/uploads folders</p>
			<?php endif; ?>
		</li>

		<li>
			<span class="label"><?php esc_html_e( 'WP File System', 'mfn-opts' ) ?></span>
			<?php if( $status['fs'] ): ?>
				<span class="status yes dashicons dashicons-yes"></span>
			<?php else: ?>
				<span class="status no dashicons dashicons-no"></span>
				<p class="status-notice status-error">File System access is required for pre-built websites and plugins installation. Please contact your hosting provider.</p>
			<?php endif; ?>
		</li>

		<li>
			<span class="label"><?php esc_html_e( 'ZipArchive', 'mfn-opts' ) ?></span>
			<?php if( $status['zip'] ): ?>
				<span class="status yes dashicons dashicons-yes"></span>
			<?php else: ?>
				<span class="status no dashicons dashicons-no"></span>
				<p class="status-notice status-error">ZipArchive is required for pre-built websites and plugins installation. Please contact your hosting provider.</p>
			<?php endif; ?>
		</li>
            
            

				<li>
					<span class="label"><?php esc_html_e( 'Server Info', 'mfn-opts' ); ?></span>
					<span class="desc"><?php echo $this->data['server']; ?></span>
				</li>

				<li>
					<span class="label"><?php esc_html_e( 'MySQL Version', 'mfn-opts' ); ?></span>
					<span class="desc"><?php echo $this->data['mysql']; ?></span>
				</li>

				<li>
					<span class="label"><?php esc_html_e( 'PHP Version', 'mfn-opts' ); ?></span>
					<?php if( $this->status['php'] ): ?>
						<span class="status yes dashicons dashicons-yes"></span>
						<span class="desc"><?php echo PHP_VERSION; ?></span>
					<?php else: ?>
						<span class="status no dashicons dashicons-no"></span>
						<span class="desc"><?php echo PHP_VERSION; ?></span>
						<p class="status-notice status-error">WordPress requires PHP version 7 or greater. <a target="_blank" href="https://wordpress.org/about/requirements/">Learn more</a></p>
					<?php endif; ?>
				</li>

				<?php if( $this->status[ 'suhosin' ] ): ?>

					<li>
						<span class="label"><?php esc_html_e( 'SUHOSIN Installed', 'mfn-opts' ); ?></span>
						<span class="status info dashicons dashicons-info"></span>
						<p class="status-notice">Suhosin may need to be configured to increase its data submission limits.</p>
					</li>

				<?php else: ?>

					<li>
						<span class="label"><?php esc_html_e( 'PHP Memory Limit', 'mfn-opts' ); ?></span>
						<?php if( $this->status['memory_limit'] ): ?>
							<span class="status yes dashicons dashicons-yes"></span>
							<span class="desc"><?php echo size_format( $this->data['memory_limit'] ); ?></span>
						<?php else: ?>

							<?php if( $this->data['memory_limit'] < 134217728 ): ?>

								<span class="status no dashicons dashicons-no"></span>
								<span class="desc"><?php echo size_format( $this->data['memory_limit'] ); ?></span>
								<p class="status-notice status-error">Minimum <strong>128 MB</strong> is required, <strong>256 MB</strong> is recommended. </p>

							<?php else: ?>

								<span class="status info dashicons dashicons-info"></span>
								<span class="desc"><?php echo size_format( $this->data['memory_limit'] ); ?></span>
								<p class="status-notice status-error">Current memory limit is OK, however <strong>256 MB</strong> is recommended. </p>

							<?php endif; ?>

						<?php endif; ?>
					</li>

					<li>
						<span class="label"><?php esc_html_e( 'PHP Time Limit', 'mfn-opts' ); ?></span>
						<?php if( $this->status['time_limit'] ): ?>
							<span class="status yes dashicons dashicons-yes"></span>
							<span class="desc"><?php echo $this->data['time_limit']; ?></span>
						<?php else: ?>

							<?php if( $this->data['time_limit'] < 60 ): ?>

								<span class="status no dashicons dashicons-no"></span>
								<span class="desc"><?php echo $this->data['time_limit']; ?></span>
								<p class="status-notice status-error">Minimum <strong>60</strong> is required, <strong>180</strong> is recommended. </p>

							<?php else: ?>

								<span class="status info dashicons dashicons-info"></span>
								<span class="desc"><?php echo $this->data['time_limit']; ?></span>
								<p class="status-notice status-error">Current time limit is OK, however <strong>180</strong> is recommended. </p>

							<?php endif; ?>

						<?php endif; ?>
					</li>

					<li>
						<span class="label"><?php esc_html_e( 'PHP Max Input Vars', 'mfn-opts' ); ?></span>
						<?php if( $this->status['max_input_vars'] ): ?>
							<span class="status yes dashicons dashicons-yes"></span>
							<span class="desc"><?php echo $this->data['max_input_vars']; ?></span>
						<?php else: ?>
							<span class="status no dashicons dashicons-no"></span>
							<span class="desc"><?php echo $this->data['max_input_vars']; ?></span>
							<p class="status-notice status-error">Minimum 5000 is required</p>
						<?php endif; ?>
					</li>

				<?php endif; ?>

				<li>
					<span class="label"><?php esc_html_e( 'WP Max Upload Size', 'mfn-opts' ); ?></span>
					<span class="desc"><?php echo $this->data['max_upload_size']; ?></span>
				</li>

				<li>
					<span class="label"><?php esc_html_e( 'cURL', 'mfn-opts' ); ?></span>
					<?php if( $this->status['curl'] ): ?>
						<span class="status yes dashicons dashicons-yes"></span>
					<?php else: ?>
						<span class="status no dashicons dashicons-no"></span>
						<p class="status-notice status-error">Your server does not have <strong>cURL</strong> enabled. Please contact your hosting provider.</p>
					<?php endif; ?>
				</li>

				<li>
					<span class="label"><?php esc_html_e( 'DOMDocument', 'mfn-opts' ); ?></span>
					<?php if( $this->status['dom'] ): ?>
						<span class="status yes dashicons dashicons-yes"></span>
					<?php else: ?>
						<span class="status no dashicons dashicons-no"></span>
						<p class="status-notice status-error">DOMDocument is required for WordPress Importer. Please contact your hosting provider.</p>
					<?php endif; ?>
				</li>

				<li class="info">
					php.ini values are shown above. Real values may vary, please check your limits using <a target="_blank" href="http://php.net/manual/en/function.phpinfo.php">php_info()</a>.<br />
					For more details about file creation, please <a target="_blank" href="https://mediatemple.net/community/products/dv/204643880/how-can-i-create-a-phpinfo.php-page">see this tutorial</a>.
				</li>

			</ul>

		</div>

		<div class="col col-right">

			<h3 class="primary"><?php esc_html_e( 'WordPress Environment', 'mfn-opts' ); ?></h3>

			<ul class="system-status">

				<li>
					<span class="label"><?php esc_html_e( 'Home URL', 'mfn-opts' ); ?></span>
					<span class="desc"><?php echo $this->data['home']; ?></span>
				</li>

				<li>
					<span class="label"><?php esc_html_e( 'Site URL', 'mfn-opts' ); ?></span>
					<?php if( $this->status['siteurl'] ): ?>
						<span class="desc"><?php echo $this->data['siteurl']; ?></span>
					<?php else: ?>
						<span class="status no dashicons dashicons-no"></span>
						<span class="desc"><?php echo $this->data['siteurl']; ?></span>
						<p class="status-notice status-error">Home URL host must be the same as Site URL host.</p>
					<?php endif; ?>
				</li>

				<li>
					<span class="label"><?php esc_html_e( 'WP Version', 'mfn-opts' ); ?></span>
					<?php if( $this->status['wp_version'] ): ?>
						<span class="status yes dashicons dashicons-yes"></span>
						<span class="desc"><?php echo $this->data['wp_version']; ?></span>
					<?php else: ?>
						<span class="status no dashicons dashicons-no"></span>
						<span class="desc"><?php echo $this->data['wp_version']; ?></span>
						<p class="status-notice status-error">Please update WordPress to the latest version.</p>
					<?php endif; ?>
				</li>

				<li class="secondary">
					<span class="label"><?php esc_html_e( 'WP Multisite', 'mfn-opts' ); ?></span>
					<?php if( $this->status['multisite'] ): ?>
						<span class="status yes dashicons dashicons-yes"></span>
					<?php else: ?>
						<span class="status no dashicons dashicons-no"></span>
					<?php endif; ?>
				</li>

				<li class="secondary">
					<span class="label"><?php esc_html_e( 'WP Debug', 'mfn-opts' ); ?></span>
					<?php if( $this->status['debug'] ): ?>
						<span class="status yes dashicons dashicons-yes"></span>
					<?php else: ?>
						<span class="status no dashicons dashicons-no"></span>
					<?php endif; ?>
				</li>

				<li>
					<span class="label"><?php esc_html_e( 'Language', 'mfn-opts' ); ?></span>
					<span class="desc"><?php echo sprintf( '%s, text direction: %s', $this->data['language'], $this->data['rtl'] ); ?></span>
				</li>

			</ul>

		</div>

	</div>