<?php
/**
 * The template for displaying content in the template-video.php template
 *
 * @package EV Häs, LLC
 * @author E-intersol Marketing Solutions
 * @link https://www.eintersol.com
 */

if( ! function_exists('mfn_content_video') ){
	function mfn_content_video( $query = false, $style = false ){

		global $wp_query;
		$output = '';

		$translate['readmore'] = mfn_opts_get( 'translate' ) ? mfn_opts_get( 'translate-readmore', 'Read more' ) : __( 'Read more', 'evhäs' );
		$translate['client'] = mfn_opts_get( 'translate' ) ? mfn_opts_get( 'translate-client', 'Client' ) : __( 'Client', 'evhäs' );
		$translate['date'] = mfn_opts_get( 'translate' ) ? mfn_opts_get( 'translate-date', 'Date' ) : __( 'Date', 'evhäs' );
		$translate['website'] = mfn_opts_get( 'translate' ) ? mfn_opts_get( 'translate-website', 'Website' ) : __( 'Website', 'evhäs' );
		$translate['view'] = mfn_opts_get( 'translate' ) ? mfn_opts_get( 'translate-view', 'View website' ) : __( 'View website', 'evhäs' );

		// query

		if( ! $query ){
			$query = $wp_query;
		}

		// style

		if( ! $style ){
			if( $_GET && key_exists('mfn-p', $_GET) ){
				$style = esc_html( $_GET['mfn-p'] ); // demo
			} else {
				$style = mfn_opts_get( 'video-layout', 'grid' );
			}
		}

		// list meta

		$list_meta = mfn_opts_get( 'video-meta' );

		if ( $query->have_posts() ){
			while ( $query->have_posts() ){

				$query->the_post();

				$item_class = array();
				$categories = '';

				$terms = get_the_terms( get_the_ID(), 'video-types' );
				if( is_array( $terms ) ){
					foreach( $terms as $term ){
						$item_class[] = 'category-'. $term->slug;
						$categories .= '<a href="'. site_url() .'/video-types/'. $term->slug .'">'. $term->name .'</a>, ';
					}
					$categories = substr( $categories , 0, -2 );
				}

				// output -----

				$output .= '<li class="video-item isotope-item '. esc_attr($item_class) .'">';
                
                            /*function getVimeoVideoThumbnailByVideoId( $id = 'video', $thumbType = 'medium' ) {

                                $id = trim( $id );

                                if ( $id == '' ) {
                                    return FALSE;
                                }

                                $apiData = unserialize( file_get_contents( "http://vimeo.com/api/v2/video/$id.php" ) );

                                if ( is_array( $apiData ) && count( $apiData ) > 0 ) {

                                    $videoInfo = $apiData[ 0 ];

                                    switch ( $thumbType ) {
                                        case 'small':
                                            return $videoInfo[ 'thumbnail_small' ];
                                            break;
                                        case 'large':
                                            return $videoInfo[ 'thumbnail_large' ];
                                            break;
                                        case 'medium':
                                            return $videoInfo[ 'thumbnail_medium' ];
                                        default:
                                            break;
                                    }

                                }

                                return FALSE;

                            }

                            $videoId = $video;
                
                            $output .= '<img src="'.getVimeoVideoThumbnailByVideoId($videoId,'large').'" title="Large Thumbnail">';*/
                
                            if( $video = get_post_meta(get_the_ID(), 'mfn-post-video', true) ){
									
							if( is_numeric($video) ){
								// Vimeo
                                $output .= '<a class="link" href="https://vimeo.com/'. $video .'" rel="lightbox" data-type="iframe">';
                                    $output .= '<div class="image-wrapper scale-with-grid">';
                                        $output .= '<img src="https://i.vimeocdn.com/video/'.$video.'" class="scale-with-grid"/>';
                                        $output .= '<span class="icon_wrapper"><i class="icon-play"></i></span>';
                                    $output .= '</div>';
                                $output .= '</a>';
                            } else {
								// YouTube                                
                                $output .= '<a class="link" href="https://www.youtube.com/watch?v='. $video .'" rel="lightbox" data-type="iframe">';
                                    $output .= '<div class="image-wrapper scale-with-grid">';
                                        $output .= '<img src="https://img.youtube.com/vi/'.$video.'/hqdefault.jpg" class="scale-with-grid"/>';
                                        $output .= '<span class="icon_wrapper"><i class="icon-play"></i></span>';
                                    $output .= '</div>';
                                $output .= '</a>';
                                
								}	
                            }

                            
                            if( ! $title_tag ){
								$title_tag = mfn_opts_get('video-title-tag', 2);
							}
                
                            $output .= '<h'. esc_attr($title_tag) .' class="entry-title" itemprop="headline"><a class="link" href="https://www.youtube.com/watch?v='. $video .'" rel="lightbox" data-type="iframe">'. wp_kses(get_the_title(), mfn_allowed_html()) .'</a></h'. esc_attr($title_tag) .'>';


				$output .= '</li>';

			}
		}

		return $output;
	}
}