<?php
/**
 * The main template file.
 *
 * @package EV Häs, LLC
 * @author E-intersol Marketing Solutions
 * @link https://www.eintersol.com
 */

get_header();

// class

$blog_classes	= array();
$section_class = array();
$current_id = get_queried_object_id();

// class | layout

if ($_GET && key_exists('mfn-b', $_GET)) {
	$blog_layout = esc_html($_GET['mfn-b']); // demo
} else {
	$blog_layout = mfn_opts_get('blog-layout', 'classic');
}
$blog_classes[] = $blog_layout;

// layout | masonry tiles

if ($blog_layout == 'masonry tiles') {
	$blog_layout = 'masonry';
}

// class | columns

if ($_GET && key_exists('mfn-bc', $_GET)) {
	$blog_classes[] = 'col-'. esc_html($_GET['mfn-bc']); // demo
} else {
	$blog_classes[] = 'col-'. mfn_opts_get('blog-columns', 3);
}

// full width

if ($_GET && key_exists('mfn-bfw', $_GET)) {
	$section_class[] = 'full-width'; // demo
}
if (mfn_opts_get('blog-full-width') && ($blog_layout == 'masonry')) {
	$section_class[] = 'full-width';
}

$section_class = implode(' ', $section_class);

// isotope

if ($_GET && key_exists('mfn-iso', $_GET)) {
	$isotope = true;
} elseif (mfn_opts_get('blog-isotope')) {
	$isotope = true;
} else {
	$isotope = false;
}

if ($isotope || ($blog_layout == 'masonry')) {
	$blog_classes[] = 'isotope';
}

// load more

$load_more = mfn_opts_get('blog-load-more');

// translate

$translate['filter'] = mfn_opts_get('translate') ? mfn_opts_get('translate-filter', 'Filter by') : __('Filter by', 'evhäs');
$translate['tags'] = mfn_opts_get('translate') ? mfn_opts_get('translate-tags', 'Tags') : __('Tags', 'evhäs');
$translate['authors'] = mfn_opts_get('translate') ? mfn_opts_get('translate-authors', 'Authors') : __('Authors', 'evhäs');
$translate['all'] = mfn_opts_get('translate') ? mfn_opts_get('translate-all', 'Show all') : __('Show all', 'evhäs');
$translate['categories'] = mfn_opts_get('translate') ? mfn_opts_get('translate-categories', 'Categories') : __('Categories', 'evhäs');
$translate['item-all'] = mfn_opts_get('translate') ? mfn_opts_get('translate-item-all', 'All') : __('All', 'evhäs');
?>

<div id="Content">
	<div class="content_wrapper clearfix">

		<div class="sections_group">

			<div class="extra_content">
				<?php
					if (get_option('page_for_posts') || mfn_opts_get('blog-page')) {

						if (category_description()) {

							echo '<div class="section the_content category_description">';
								echo '<div class="section_wrapper">';
									echo '<div class="the_content_wrapper">';
										echo category_description();
									echo '</div>';
								echo '</div>';
							echo '</div>';

						} else {

							$mfn_builder = new Mfn_Builder_Front(mfn_ID(), true);
							$mfn_builder->show();

						}

					}
				?>
			</div>

			<?php if (($filters = mfn_opts_get('blog-filters')) && (is_home() || is_category() || is_tag() || is_author())): ?>

				<div class="section section-filters">
					<div class="section_wrapper clearfix">

						<?php
							$filters_class = '';

							if ($isotope) {
								$filters_class .= ' isotope-filters';
							}

							if ($filters != 1) {
								$filters_class .= ' only '. $filters;
							}
						?>

						<!-- #Filters -->
						<div id="Filters" class="column one <?php echo esc_attr($filters_class); ?>">
                            
                            
                            <form id="sorting-form" method="GET" action="">
                                <span>Filter by</span>
                                <select id="date_order_by" name="order_by">
                                    <option value="">Sort by</option>
                                    <option value="ASC" <?php echo (isset($_GET['order_by']) && $_GET['order_by'] == 'ASC') ? 'selected' : '';?>>ASC</option>
                                    <option value="DESC" <?php echo (isset($_GET['order_by']) && $_GET['order_by'] == 'DESC') ? 'selected' : '';?>>DESC</option>
                                    
                                </select>
                                <select id="category_search" name="category">
                                    <option value="">Select Category</option>
                                    <?php
                                        if( $categories = get_terms('category') ){												
                                            foreach( $categories as $category ){
                                                $selected = ($_GET['category'] == $category->slug) ? "selected='selected'" : '';
                                                echo '<option '.$selected.' value="'. esc_html($category->slug) .'">'. esc_html($category->name) .'</option>';
                                            }
                                        }
                                    ?>
                                </select>
                                <select id="author_search" name="authors">
                                    <option value="">Select Author</option>
                                    <?php                                    
                                        $authors = mfn_get_authors();
										if (is_array($authors)) {
											foreach ($authors as $auth) {
                                                $selected = ($_GET['authors'] == $auth->ID) ? "selected='selected'" : '';
                                                echo '<option '.$selected.' value="'. esc_html($auth->ID) .'">'. esc_html($auth->data->display_name) .'</option>';

											}
										}                                    
                                    ?>
                                </select>
                                <input type="text" name="search" placeholder="Enter your keyword" value="<?php echo isset($_GET['search']) ? $_GET['search'] : '';?>" />
                                <button type="submit"><i class="icon-search"></i></button>                       
                            </form>
							

						</div>

					</div>
				</div>

			<?php endif; ?>

			<div class="section <?php echo esc_attr($section_class); ?>">
				<div class="section_wrapper clearfix">

					<div class="column one column_blog">
						<div class="blog_wrapper isotope_wrapper">

							<div class="posts_group lm_wrapper <?php echo esc_attr(implode(' ', $blog_classes)); ?>">
								<?php

									$attr = array(
										'echo' => true,
										'featured_image' => false,
										'filters' => $filters,
									);

									if ($load_more) {
										$attr['featured_image'] = 'no_slider';
									}
									if (mfn_opts_get('blog-images')) {
										$attr['featured_image'] = 'image';
									}
                                
                                
                                    $paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : ( ( get_query_var( 'page' ) ) ? get_query_var( 'page' ) : 1 );
									$blog_args = array(
										'post_type' => 'post',
										'posts_per_page' => mfn_opts_get( 'blog-posts', 6 ),
										'paged' => $paged,
                                        'orderby' => 'publish_date',
                                        'order' => isset($_GET['order_by']) ? $_GET['order_by'] : 'DESC',
										'ignore_sticky_posts' => 1,
									);
                                    if ( isset($_GET['search']) && !empty($_GET['search']) ) {
                                        $blog_args['s'] = $_GET['search'];
                                    }
                                    if ( isset($_GET['authors']) && !empty($_GET['authors']) ) {
                                        $blog_args['author__in'] = array($_GET['authors']);
                                    }
                                    if ( isset($_GET['category']) && !empty($_GET['category']) ) {
                                        $blog_args['tax_query'] = array(
                                            array(
                                                'taxonomy' => 'category',
                                                'field'    => 'slug',
                                                'terms'    => $_GET['category'],
                                            ),
                                        );
                                    }
                                    $blog_query = new WP_Query( $blog_args );
                                

									echo mfn_content_post($blog_query, false, $attr);
								?>
							</div>

							<?php
								if (function_exists('mfn_pagination')):

									echo mfn_pagination($blog_query, $load_more);

								else:
									?>
										<div class="nav-next"><?php next_posts_link(__('&larr; Older Entries', 'evhäs')) ?></div>
										<div class="nav-previous"><?php previous_posts_link(__('Newer Entries &rarr;', 'evhäs')) ?></div>
									<?php
								endif;
							?>

						</div>
					</div>

				</div>
			</div>


		</div>

		<?php get_sidebar(); ?>

	</div>
</div>

<?php get_footer();