<?php
/**
 * Template Name: Video
 * Description: A Page Template that display videos.
 *
 * @package EV Häs, LLC
 * @author E-intersol Marketing Solutions
 * @link https://www.eintersol.com
 */

get_header();

// class

$video_classes 	= '';
$section_class = array();

// class | layout

if( $_GET && key_exists( 'mfn-p', $_GET ) ){
	$videoio_classes .= esc_html( $_GET[ 'mfn-p' ] ); // demo
} else {
	$video_classes .= mfn_opts_get( 'video-layout', 'grid' );
}

if( $video_classes == 'list' ){
	$section_class[] = 'full-width';
}

// class | columns

if( $_GET && key_exists( 'mfn-pc', $_GET ) ){
	$video_classes .= ' col-'. esc_html( $_GET[ 'mfn-pc' ] ); // demo
} else {
	$video_classes .= ' col-'. mfn_opts_get( 'video-columns', 3 );
}

if( $_GET && key_exists( 'mfn-pfw', $_GET ) ){
	$section_class[] = 'full-width';
}
if( mfn_opts_get( 'video-full-width' ) ){
	$section_class[] = 'full-width';
}

$section_class = implode( ' ', $section_class );

// isotope

if( $_GET && key_exists( 'mfn-iso', $_GET ) ){
	$isotope = true; // demo
} elseif(  mfn_opts_get( 'video-isotope' ) ) {
	$isotope = true;
} else {
	$isotope = false;
}

// load more

$load_more = mfn_opts_get( 'video-load-more' );

// translate

$translate[ 'filter' ] = mfn_opts_get( 'translate' ) ? mfn_opts_get( 'translate-filter', 'Filter by' ) : __( 'Filter by', 'evhäs' );
$translate[ 'all' ] = mfn_opts_get( 'translate' ) ? mfn_opts_get( 'translate-all', 'Show all' ) : __( 'Show all', 'evhäs' );
$translate[ 'categories' ] = mfn_opts_get( 'translate' ) ? mfn_opts_get( 'translate-categories', 'Categories' ) : __( 'Categories', 'evhäs' );
$translate[ 'item-all' ] = mfn_opts_get( 'translate' ) ? mfn_opts_get( 'translate-item-all', 'All' ) : __( 'All', 'evhäs' );
?>

<div id="Content">
	<div class="content_wrapper clearfix">

		<div class="sections_group">

			<?php if( post_password_required() ): ?>

				<div class="section the_content">
					<div class="section_wrapper">
						<div class="the_content_wrapper">
							<?php echo get_the_password_form(); ?>
						</div>
					</div>
				</div>

			<?php else: ?>

				<div class="extra_content">
					<?php
						$mfn_builder = new Mfn_Builder_Front(mfn_ID(), true);
						$mfn_builder->show();
					?>
				</div>

				<?php if( $filters = mfn_opts_get('video-filters') ): ?>
					<div class="section section-filters">
						<div class="section_wrapper clearfix">						

							<div id="Filters" class="column one <?php echo esc_attr($filters_class); ?>">
                                
                            <form id="sorting-form" method="GET" action="">
                                <span>Filter by</span>
                                <select id="date_order_by" name="order_by">
                                    <option value="">Sort by</option>
                                    <option value="ASC" <?php echo (isset($_GET['order_by']) && $_GET['order_by'] == 'ASC') ? 'selected' : '';?>>ASC</option>
                                    <option value="DESC" <?php echo (isset($_GET['order_by']) && $_GET['order_by'] == 'DESC') ? 'selected' : '';?>>DESC</option>
                                    
                                </select>
                                <select id="category_search" name="category">
                                    <option value="">Select Category</option>
                                    <?php
                                        if( $video_categories = get_terms('video-types') ){												
                                            foreach( $video_categories as $category ){
                                                $selected = ($_GET['category'] == $category->slug) ? "selected='selected'" : '';
                                                echo '<option '.$selected.' value="'. esc_html($category->slug) .'">'. esc_html($category->name) .'</option>';
                                            }
                                        }
                                    ?>
                                </select>
                                <select id="author_search" name="authors">
                                    <option value="">Select Author</option>
                                    <?php
                                    
                                        $authors = mfn_get_authors();
										if (is_array($authors)) {
											foreach ($authors as $auth) {
                                                $selected = ($_GET['authors'] == $auth->ID) ? "selected='selected'" : '';
                                                echo '<option '.$selected.' value="'. esc_html($auth->ID) .'">'. esc_html($auth->data->display_name) .'</option>';

											}
										}
                                    
                                    ?>
                                </select>
                                <input type="text" name="search" placeholder="Enter your keyword" value="<?php echo isset($_GET['search']) ? $_GET['search'] : '';?>" />
                                <button type="submit"><i class="icon-search"></i></button>                       
                            </form>								

							</div>

						</div>
					</div>
				<?php endif; ?>

				<div class="section <?php echo esc_attr($section_class); ?>">
					<div class="section_wrapper clearfix">                        

						<div class="column one column_video">
							<div class="video_wrapper isotope_wrapper">

								<?php
									$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : ( ( get_query_var( 'page' ) ) ? get_query_var( 'page' ) : 1 );
									$video_args = array(
										'post_type' => 'video',
										'posts_per_page' => mfn_opts_get( 'video-posts', 6 ),
										'paged' => $paged,
										//'order' => mfn_opts_get( 'video-order', 'DESC' ),
										//'orderby' => mfn_opts_get( 'video-orderby', 'date' ),
                                        'orderby' => 'publish_date',
                                        'order' => isset($_GET['order_by']) ? $_GET['order_by'] : 'DESC',
										'ignore_sticky_posts' => 1,
									);
                                    if ( isset($_GET['search']) && !empty($_GET['search']) ) {
                                        $video_args['s'] = $_GET['search'];
                                    }
                                    if ( isset($_GET['authors']) && !empty($_GET['authors']) ) {
                                        $video_args['author__in'] = array($_GET['authors']);
                                    }
                                    if ( isset($_GET['category']) && !empty($_GET['category']) ) {
                                        $video_args['tax_query'] = array(
                                            array(
                                                'taxonomy' => 'video-types',
                                                'field'    => 'slug',
                                                'terms'    => $_GET['category'],
                                            ),
                                        );
                                    }
                                

									// demo

									if( $_GET && key_exists('mfn-iso', $_GET) ){
										$video_args['posts_per_page'] = -1;
									}
									if( $_GET && key_exists('mfn-p', $_GET) && $_GET['mfn-p']=='list' ){
										$video_args['posts_per_page'] = 5;
									}
									if( $_GET && key_exists('mfn-pp', $_GET) ){
										$video_args['posts_per_page'] = esc_html( $_GET['mfn-pp'] );
									}

									$video_query = new WP_Query( $video_args );

								 	echo '<ul class="video_group lm_wrapper isotope '. esc_attr($video_classes) .'">';
                                    if ( $video_query->found_posts > 0 ) {
                                        echo mfn_content_video( $video_query );
                                    } else {
                                        $msg = "There is no video found related to your search.";
                                        if ( isset($_GET['authors']) && !empty($_GET['authors']) ) {
                                            $msg = "There is no video found related to this author.";
                                        }
                                        echo '<div class="column one-fifth"></div><div class="column three-fifth"><div class="alert alert_warning"><div class="alert_icon"><i class="icon-lamp"></i></div><div class="alert_wrapper">'.$msg.'</div></div></div>';
                                        
                                    }
								 		
									echo '</ul>';

									echo mfn_pagination( $video_query, $load_more );

								 	wp_reset_query();
								?>

							</div>
						</div>

					</div>
				</div>

			<?php endif; ?>

		</div>

		<?php get_sidebar(); ?>

	</div>
</div>

<?php get_footer();